/****************************************************************************
 *  
 * Project: Olimex AVR ISP with MKII protocol support.
 *
 * Copyright by Olimex Ltd. All rights reserved.
 * 
 * File: usbscsi_conf.h
 * Description: USB SCSI Configuration
 * Developer: Dimitar Dimitrov ( dinuxbg@gmail.com )
 *
 * Last change: $Date: 2007-12-10 17:46:47 +0200 (понеделник, 10 Декември 2007) $
 * Revision: $Revision: 82 $
 * Id: $Id: usbscsi_conf.h 82 2007-12-10 15:46:47Z dimitar $
 *
 ****************************************************************************/

#ifndef USBSCSI_CONF_H
#define USBSCSI_CONF_H

//#include "board.h"
#include "msp430_mmc.h"

#define sbclu_format_unit()		dataflash_chip_erase()

#define sbclu_block_length()		512UL
#define sbclu_last_lba()		(DATAFLASH_SIZE/sbclu_block_length()-1)

#define SBCLU_BLOCK_READ_API 		1

#if SBCLU_BLOCK_READ_API
  #define sbclu_mem2buf(LBA)		dataflash_mem2buf1(LBA)
  #define sbclu_rbuf(dst,nbytes,offset)	dataflash_rbuf1(dst,nbytes,offset)
#else 
  #define sbclu_contread_start(LBA)	dataflash_contread_start(LBA*sbclu_block_length())
  #define sbclu_contread_fetch()	dataflash_contread_fetch()
  #define sbclu_contread_stop()		dataflash_contread_stop()
#endif

#define sbclu_wbuf(src,nbytes,offset)	dataflash_wbuf1(src,nbytes,offset)
#define sbclu_buf2mem(LBA)		dataflash_buf12mem(LBA)

#define SBC_READBACK_VERIFY		0

#endif /* USBSCSI_CONF_H */
