/****************************************************************************
 *  
 * Project: Olimex AVR ISP with STK500 version 2 protocol support.
 *
 * Copyright by Olimex Ltd. All rights reserved.
 * 
 * File: dataflash.h
 * Description: ATMEL Serial Dataflash access routines.
 * Developer: Dimitar Dimitrov ( dinuxbg@gmail.com )
 *
 * Last change: $Date: 2007-12-05 17:37:13 +0200 (сряда, 05 Декември 2007) $
 * Revision: $Revision: 73 $
 * Id: $Id: dataflash.h 73 2007-12-05 15:37:13Z dimitar $
 *
 ****************************************************************************/

#ifndef DATAFLASH_H
#define DATAFLASH_H

#include "board.h"

/** Set dataflash size in bytes */
#define DATAFLASH_SIZE		(16UL*1024UL*1024UL/8UL)

extern int8_t dataflash_init(void);
extern void dataflash_chip_erase(void);

#if DATAFLASH_STREAM_API

extern void dataflash_read(uint8_t *buf, uint16_t nbytes, uint32_t addr);
extern void dataflash_contread_start(const uint32_t addr);
extern uint8_t dataflash_contread_fetch(void);
extern void dataflash_contread_stop(void);
extern int8_t dataflash_compare(const uint8_t *buf, uint16_t nbytes, uint32_t addr);
extern void dataflash_write(const uint8_t *buf, uint16_t nbytes, uint32_t addr);
extern void dataflash_flush(void);

#endif /* DATAFLASH_STREAM_API */



#if DATAFLASH_PAGE_API

extern void dataflash_mem2buf1(uint32_t pagenum);
extern void dataflash_rbuf1(uint8_t *dstbuf, uint16_t nbytes, uint16_t offset);
extern void dataflash_wbuf1(const uint8_t *srcbuf, uint16_t nbytes, uint16_t offset);
extern void dataflash_buf12mem(uint32_t pagenum);

#endif /* DATAFLASH_PAGE_API */

#endif /* DATAFLASH_H */
