#ifndef _MSP430_MMC_H_
#define _MSP430_MMC_H_

#define	SECTOR_SIZE	512

#define	MMC_CMD_READY		0x01		// returns 1 if the MMC is idle, 0 if busy - U8
#define	MMC_CMD_SIZE		0x02		// returns the number of sectors on the MMC- U32
#define	MMC_CMD_WP			0x04		// returns 1 if the MMC is protected - U8
#define	MMC_CMD_CP			0x08		// returns 1 if the MMC is present - U8

#define	MMC_CMD_READ		0x10		// sets the read pointer to sector Nr. adress 
// (U32). After that, we should poll using MMC_CMD_STATUS, and when(if) we get
// MMC_RESP_OK, issue MMC_CMD_READ_BUFFER
// returns the state of the read operation - U8 - can be discarded
#define	MMC_CMD_READ_BUFFER	0x18	// after this command, the client will
// transfer the entire buffer to us.

#define	MMC_CMD_WRITE		0x20		// tells the client to write the previously 
// transferred buffer to sector nr. address
#define	MMC_CMD_WRITE_BUFFER	0x28	// after this command, the next 512 bytes 
// send will be stored to a temporary buffer for further writing. A 
// MMC_RESP_BUSY or MMC_RESP_FAIL can be returned at any point and we should act
// accordingly

#define	MMC_CMD_INIT		0x40		// tries to initialize the MMC 
#define	MMC_CMD_STATUS		0x80		// polls the current state of the MMC
#define	MMC_CMD_DUMMY		0xff		// a dummy command to get the status

#define	MMC_RESP_OK			0x02
#define	MMC_RESP_BUSY		0x04
#define	MMC_RESP_FAIL		0x10
#define	MMC_RESP_YES		0x20
#define	MMC_RESP_NO			0x40


/*uint8_t	 	msp430_mmc_ready(void);
uint8_t	 	msp430_mmc_wp(void);
uint8_t		msp430_mmc_cp(void);
uint8_t		msp430_mmc_readsector(uint32_t address);
uint8_t		msp430_mmc_writesector(uint32_t address);*/

//void			msp430_mmc_init_comm(void);
//void  		msp430_mmc_init_spi();
uint32_t 	msp430_mmc_getsize(void);
uint8_t	  msp430_mmc_mem_init();

void			mmc_notimplemented();
void			mmc_contread_start(uint32_t addr);
uint8_t 	mmc_contread_fetch(void);
void 			mmc_contread_stop(void);


#endif
